<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Backend:
        Templates:
          Matches:
            List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="Buttons">
    <be:moduleLayout.button.linkButton
        icon="actions-add"
        title="{f:translate(id: 'LLL:EXT:backend/Resources/Private/Language/locallang_layout.xlf:newRecordGeneral')}"
        link="{f:uri.action(controller: 'Matches', action: 'new')}"
    />
</f:section>

<f:section name="Content">
    <h1>Listing for Matches</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_matches.match_no" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.round" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.round_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.status" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.add_info" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.date" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.visitors" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.match_report" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.report_author" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.report_link" /></th>
            <th><f:translate key="tx_sisbase_domain_model_matches.images" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{matches}" as="matches">
            <tr>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.matchNo}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.round}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.roundName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.status}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.addInfo}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.date -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.visitors}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.matchReport}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.reportAuthor}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.reportLink}</f:link.action></td>
                <td><f:link.action action="show" arguments="{matches: matches}">{matches.images.originalResource.name}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{matches: matches}" class="btn btn-default">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{matches: matches}" class="btn btn-danger">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new" class="btn btn-default">New Matches</f:link.action>
</f:section>
</html>
